import {AccessStore} from "~/types/interfaces";
import {computed, ComputedRef} from "@nuxtjs/composition-api";

export function UseAccess(store: AccessStore){
  const hasMenuOrIsTeacher: ComputedRef<boolean> = computed(
    () => store.state.profile.access.hasLateralMenu || store.state.profile.access.isTeacher
  )

  return {
    hasMenuOrIsTeacher
  }
}
